<?php
require('includes/application_top.php');


$start_day = 'Sunday';


$dot_sql = $db->Execute('SELECT DATE_FORMAT(orders.date_purchased, "%Y %m %d") as date, DATE_FORMAT(orders.date_purchased, "%W") as day, DATE_FORMAT(orders.date_purchased, "%m/%d/%Y") as prettydate, COUNT(orders.orders_id) as num, SUM(orders_total.value) as val, SUM(orders_total.value)/COUNT(orders.orders_id) as avg  FROM orders LEFT JOIN orders_total on orders_total.orders_id = orders.orders_id WHERE orders_total.title="Sub-Total:" AND orders.orders_id = orders_total.orders_id GROUP BY date ORDER BY date DESC;');	


$data =array();
$minYear = 10000;
while(!$dot_sql->EOF)
  {
 
    $year =  (int)substr($dot_sql->fields['date'], 0, 4);
    $month = (int)ltrim(substr($dot_sql->fields['date'], 5, 2), '0');
    $day = (int)ltrim(substr($dot_sql->fields['date'], 8, 2), '0');
    
    switch ($type)
      {
      case 0: $data[$year][$month][$day] += $dot_sql->fields['val']; break;
      case 1: $data[$year][$month][$day] += $dot_sql->fields['num']; break;
      case 2: $data[$year][$month][$day] += $dot_sql->fields['avg']; break;
      }
    if($year < $minYear) {$minYear = $year;}

    $dot_sql->MoveNext();
     
    

    /*
    $year =  (int)substr($dot_sql->fields['date_purchased'], 0, 4);
    $month = (int)ltrim(substr($dot_sql->fields['date_purchased'], 5, 2), '0');
    $day = (int)ltrim(substr($dot_sql->fields['date_purchased'], 8, 2), '0');
    $data[$year][$month][$day] += $dot_sql->fields['value'];

    if($year < $minYear) {$minYear = $year;}

    $dot_sql->MoveNext();
    */
  }

$offsets = array();

$javaData = '[';
$xAxis = '[';

$curYear  = date('Y');
$curMonth = date('n');
$cm = $curMonth;
$yearSpan = $curYear - $minYear;
$cols = $yearSpan * 12 + $curMonth;

for($i = 0; $i < 37; $i++)
{

  $curMonth = date('n');
for ($k = 0; $k < $cols; $k++)
  {
    $xs .= $k . ',';
    $ys .= (37 - $i) . ',';
  }

  for($j = 0; $j <= $yearSpan; $j++)
    {
      for($curMonth = $curMonth; $curMonth > 0; $curMonth--)
	{  
	  $offset = date('N', mktime(0,0,0,$curMonth, 1, $curYear - $j)) - 1;
	  if ($offset == 6) {$offset = -1;}
	  if(($i - $offset) >= 0 && isset($data[$curYear - $j][$curMonth][$i - $offset]))
	    {
	      $javaData .= number_format($data[$curYear - $j][$curMonth][$i - $offset], 2, '.', '') . ',';
	    }
	  else
	    {
	      $javaData .= '0,';
	    }
	}
      
      $curMonth = 12;
    }
}



for ($l = $cols; $l > 0; $l--)
  {
    $ll = $l%12;
    if ($l%12 ==0)
      $ll = 12;
    $xAxis .= '"' . date('n/y', mktime(0,0,0,($ll),1, $curYear - floor(($cols-$l)/12))).'" ,';
  }

$javaData = trim($javaData, ',') . ']';
$xAxis = trim($xAxis, ',') . ']';
$xs = trim($xs, ',');
$ys = trim($ys, ',');
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>

<style>
body
{
  background-color: #444;
}
</style>
  <script language="javascript" src="includes/javascript/raphael-min.js"></script>
  <script language="javascript" src="includes/javascript/g.raphael-min.js"></script>
  <script language="javascript" src="includes/javascript/g.dot.js"></script>
<script>
    window.onload = function () {
  var r = Raphael("dippinDots", 2000, 800),

  xs = [<?php echo $xs ;?> ],
  ys = [<?php echo $ys ;?> ],
  data = <?php echo $javaData; ?> ,
  axisy = ["Mon", "Sun",
	   "Sat", "Fri", "Thu", "Wed","Tue", "Mon", "Sun",
	   "Sat", "Fri", "Thu", "Wed","Tue", "Mon", "Sun",
	   "Sat", "Fri", "Thu", "Wed","Tue", "Mon", "Sun",
	   "Sat", "Fri", "Thu", "Wed","Tue", "Mon", "Sun",
	   "Sat", "Fri", "Thu", "Wed","Tue", "Mon", "Sun"],
    axisx = <?php echo $xAxis; ?> ;

    r.g.txtattr.font = "11px 'Fontin Sans', Fontin-Sans, sans-serif";
        
         
  var vals = r.g.dotchart(0, 0, 2000, 800, xs, ys, data, {symbol: "o", max: 12, heat: true, axis: "1 0 0 1", axisxstep: <?php echo $cols-1; ?>, axisystep: 36, axisxlabels: axisx, axisxtype: " ", axisytype: " ", axisylabels: axisy});

  var today = new Date();
  vals.hover(function () {

      this.years = 0;
      this.month = today.getMonth() - this.X;
      while(this.month < 0)
	{
	  this.month += 12;
	  this.years++;
	}
      
      
      this.first = new Date(today.getFullYear() - this.years, this.month, 1);
      
      this.day = (37 - this.Y) - this.first.getDay();
      
      this.day += 1;
      this.month += 1;

      this.date = this.month + "/" + this.day;

	this.tag = this.tag || r.g.tag(this.x, this.y, this.date + "\n <?php if($type != 1) {echo '$';} ?>" + this.value, 0, this.r + 2).insertBefore(this);
	this.tag.show();
    }, function () {	this.tag && this.tag.hide();
      });

  };



</script>
</head>
<body>

<div id="dippinDots">
</div>

</body>
</html>